#include "common.h"

// последовательный ретранслятор тестовых пакетов TCP
int main( int argc, char *argv[] ) {
   int ls = getsocket( SINGLE_PORT ), rs;
   setv( argc, argv );
   while( true ) {
      if( ( rs = accept( ls, NULL, NULL ) ) < 0 ) errx( "accept error" );
      retrans( rs );
      close( rs );
      if( debug ) cout << "*" << flush;
   };
   exit( EXIT_SUCCESS );
};

